package controllers.linking

import config.WorkbenchConfig.WorkspaceReact
import controllers.core.UserContextActions
import org.silkframework.rule.LinkSpec
import org.silkframework.workbench.Context
import play.api.mvc.{Action, AnyContent, InjectedController}

import javax.inject.Inject

class ExecuteLinkingController @Inject() (implicit workspaceReact: WorkspaceReact) extends InjectedController with UserContextActions {

  def execute(project: String, task: String): Action[AnyContent] = RequestUserContextAction { implicit request => implicit userContext =>
    val context = Context.get[LinkSpec](project, task, request.path)
    Ok(views.html.executeLinking.executeLinking(context))
  }

  def executionReport(project: String, task: String): Action[AnyContent] = RequestUserContextAction { request =>implicit userContext =>
    val context = Context.get[LinkSpec](project, task, request.path)
    Ok(views.html.executeLinking.linkingReport(context.task))
  }

}
